@font-face {
    font-family: 'HolidayFree';
    src: url('../barber/fonts/HolidayFree.otf') format('truetype');
}

/* ===================================
        Modal
   ====================================== */
.blocker {
    background-color: transparent !important;
}

.blocker .modal {
    padding: 40px !important;
    opacity: 0.9;
}

.blocker .modal.modal-confirmation {
    padding: 0px !important;
}

/* ===================================
        Form
   ====================================== */
.pre-register-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
}

.pre-register-form .input-container {
    width: 100%;
    margin-bottom: 25px;
}

.pre-register-form .input-container input {
    width: 100%;
    margin: 0;
}

.pre-register-form .input-container input:focus {
    border-color: #F50164;
    box-shadow: 0 0 5px #F50164;
}

.pre-register-form .input-container span {
    font-size: smaller;
}

.pre-register-form .btn,
.pre-register-form .btn:hover,
.pre-register-form .btn:focus {
    width: 244px;
    height: 48px;
    border-radius: 10px;
    border-color: #F50164;
    background-color: #F50164;
    color: #FFFFFF;
    line-height: normal;
    margin: 0;
    text-transform: capitalize;
    letter-spacing: normal;
}

.pre-register-form .btn:disabled {
    border-color: #F36AA2;
    background-color: #F36AA2;
    cursor: default;
}

.pre-register-form a {
    margin-bottom: 25px;
    color: #F36AA2;
}

.pre-register-form input.error {
    border: 1px solid #A00;
}

.pre-register-form label.error {
    margin: 0;
    color: #A00;
    font-size: small;
}


/* ===================================
        Spinner
   ====================================== */
.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    width: 36px;
    height: 36px;
    border-radius: 50%;
    border-left-color: #09f;
  
    animation: spin 1s ease infinite;
  }
  
  @keyframes spin {
    0% {
      transform: rotate(0deg);
    }
  
    100% {
      transform: rotate(360deg);
    }
  }